- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# Parser Class Reference

`#include <Parser.h>`

List of all members.

## Static Public Member Functions
static std::string | getNext (std::istream &in)
static std::string | readString (std::istream &in)
static List * | parse (std::string filename)
static List * | parse (std::istream &in)
static List * | parseOpen (std::istream &in)
static std::string | wordWrap (std::string &strText, int chars)
## Static Public Attributes
static char | comment = ';'
static char | open = '('
static char | close = ')'
## Static Private Member Functions
static void | consumeWhitespaceAndComments (std::istream &in)
## Static Private Attributes
static int | _lineNumber = 0

## Detailed Description

Definition at line 12 of file Parser.h.

## Member Function Documentation

void Parser::consumeWhitespaceAndComments | ( | std::istream & | in | ) | `[static, private]`

| Definition at line 71 of file Parser.cpp. References _lineNumber, and comment. Referenced by getNext().

std::string Parser::getNext | ( | std::istream & | in | ) | `[static]`

| Definition at line 39 of file Parser.cpp. References close, comment, consumeWhitespaceAndComments(), open, and readString(). Referenced by parse(), parseOpen(), and wordWrap().

List * Parser::parse | ( | std::istream & | in | ) | `[static]`

| Definition at line 18 of file Parser.cpp. References _lineNumber, getNext(), and parseOpen().

List * Parser::parse | ( | std::string | filename | ) | `[static]`

| Definition at line 12 of file Parser.cpp. Referenced by Game::Game(), Level::levelSpecsLoad(), EventPoint::load(), Object::loadObject(), Sprite::loadText(), main(), Menu::Menu(), NewGameMenu::NewGameMenu(), CommandManager::startPlaying(), Weapon::Weapon(), and WeaponPunch::WeaponPunch().

List * Parser::parseOpen | ( | std::istream & | in | ) | `[static]`

| Definition at line 25 of file Parser.cpp. References _lineNumber, close, getNext(), open, and List::snoc(). Referenced by parse().

std::string Parser::readString | ( | std::istream & | in | ) | `[static]`

| Definition at line 119 of file Parser.cpp. Referenced by getNext().

std::string Parser::wordWrap | ( | std::string & | strText,
|  | int | chars
| ) | `[static]`

| Definition at line 96 of file Parser.cpp. References getNext().

## Member Data Documentation

int Parser::_lineNumber = 0`[static, private]`

| Definition at line 30 of file Parser.h. Referenced by consumeWhitespaceAndComments(), parse(), and parseOpen().

char Parser::close = ')'`[static]`

| Definition at line 17 of file Parser.h. Referenced by getNext(), List::getString(), and parseOpen().

char Parser::comment = ';'`[static]`

| Definition at line 15 of file Parser.h. Referenced by consumeWhitespaceAndComments(), and getNext().

char Parser::open = '('`[static]`

| Definition at line 16 of file Parser.h. Referenced by getNext(), List::getString(), parseOpen(), and CommandManager::saveRecording().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Parser.h
- C:/Documents and Settings/jegan/Desktop/projectX/Parser.cpp